// MemCell interface: simulate one generic RAM cell
//
// ******************PUBLIC OPERATIONS**********************
// Object read( )         --> Returns the stored value
// void write( Object x ) --> Stores x

public interface MemCell
{
    Object read( );
    void write( Object x );
}
